﻿@page
@model Website.Pages.category.DeleteModel
@using Entities
@{
    ViewData["Title"] = "Delete Category";
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/category" class="link-primary text-decoration-none">Category</a>
        >
        <a href="/category/delete?id=@Model.Id" class="link-primary text-decoration-none">Delete</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Category attributes</p>
        @if (Model.IsDeleted)
        {
            if (string.IsNullOrEmpty(Model.StrInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Delete category successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@Model.StrInfo</p>
            }
        }
    </div>

    <form class="row g-3 mb-2" method="post">
        <div class="col-md-4">
            <label for="id" class="form-label">Category ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@Model.Id" placeholder="Category ID" maxlength="30" readonly>
        </div>
        <div class="col-md-4">
            <label for="name" class="form-label">Category Name</label>
            <input class="form-control" type="text" id="name" name="name" value="@Model.Name" placeholder="Category Name" maxlength="30" readonly>
        </div>
        <div class="col-md-4 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-danger text-light" type="submit" value="Delete">
        </div>
    </form>
</div>